<mat-form-field class="control" appearance="fill">
  <mat-label>Search Associates</mat-label>
  <input
    type="text"
    placeholder="Search an associate"
    matInput
    [formControl]="associateFormControl"
    [matAutocomplete]="auto"
  />

  <div matSuffix>
    <mat-icon *ngIf="failedToSearch">error</mat-icon>
    <mat-spinner
      *ngIf="searchingUsers || assigningRoleToUsers"
      [color]="assigningRoleToUsers ? 'primary' : 'secondary'"
      [diameter]="25"
    ></mat-spinner>
  </div>
  <mat-autocomplete
    autoActiveFirstOption
    #auto="matAutocomplete"
    [displayWith]="userDisplayName"
    (optionSelected)="selectUser($event.option.value)"
  >
    <mat-option *ngFor="let option of filteredUsers$ | async" [value]="option" class="select-user-option">
      <div fxLayout="column" fxLayoutAlign="start start">
        <span class="user-name">{{ option.full_name }}</span>
        <small class="mat-small">{{ option.email }}</small>
      </div>
    </mat-option>
  </mat-autocomplete>
</mat-form-field>

<ng-container *ngIf="selectedUsers.length > 0">
  <mat-chip-list #chipList aria-label="Associate selection">
    <mat-chip *ngFor="let selectedUser of selectedUsers" [removable]="true" (removed)="removeUser(selectedUser)">
      {{ selectedUser.full_name }}
      <button matChipRemove>
        <mat-icon>cancel</mat-icon>
      </button>
    </mat-chip>
  </mat-chip-list>
</ng-container>
